import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/Home.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/manage',
      name: 'manage.index',
      component: () => import('../views/manage/Index.vue')
    },
    {
      path: '/auth/login',
      name: 'auth.login',
      component: () => import('../views/auth/Login.vue')
    }
  ]
})

export default router
