import {defineStore} from 'pinia'

export const useUserStore = defineStore('user', {
    persist: true,
    state: () => ({
        refresh_token: null as null | string,
        access_token: null as null | string,
        expired_at: null as null | Date,
        user: null as null | any,
    }),
    actions: {
        setRefreshToken(refresh_token: string) {
            this.refresh_token = refresh_token
        },
        setAccessToken(access_token: string) {
            this.access_token = access_token
        },
        setProfile(user: any) {
            this.user = user
        },
    }
})